import request from '@/utils/wms-request'

// 查询仓库物料盘点单列表
export function listInv(query) {
  return request({
    url: '/stock/inv/list',
    method: 'get',
    params: query
  })
}

// 查询仓库物料盘点单详细
export function getInv(id) {
  return request({
    url: '/stock/inv/' + id,
    method: 'get'
  })
}

// 新增仓库物料盘点单
export function addInv(data) {
  return request({
    url: '/stock/inv',
    method: 'post',
    data: data
  })
}

// 修改仓库物料盘点单
export function updateInv(data) {
  return request({
    url: '/stock/inv',
    method: 'put',
    data: data
  })
}

// 删除仓库物料盘点单
export function delInv(id) {
  return request({
    url: '/stock/inv/' + id,
    method: 'delete'
  })
}


// 查询仓库物料盘点单汇总列表
export function listInvDetail(query) {
  return request({
    url: '/stock/invDetail/list',
    method: 'get',
    params: query
  })
}

// 查询仓库物料盘点单汇总详细
export function getInvDetail(id) {
  return request({
    url: '/stock/invDetail/' + id,
    method: 'get'
  })
}

// 新增仓库物料盘点单汇总
export function addInvDetail(data) {
  return request({
    url: '/stock/invDetail',
    method: 'post',
    data: data
  })
}

// 修改仓库物料盘点单汇总
export function updateInvDetail(data) {
  return request({
    url: '/stock/invDetail',
    method: 'put',
    data: data
  })
}

// 删除仓库物料盘点单汇总
export function delInvDetail(id) {
  return request({
    url: '/stock/invDetail/' + id,
    method: 'delete'
  })
}
